- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.logTypes.parsers/activateReleaseCandidateParser#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.logTypes.parsers/activateReleaseCandidateParser#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.logTypes.parsers/activateReleaseCandidateParser#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.logTypes.parsers/activateReleaseCandidateParser#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.logTypes.parsers/activateReleaseCandidateParser#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.logTypes.parsers/activateReleaseCandidateParser#body.aspect_1)

**Full name**: projects.locations.instances.logTypes.parsers.activateReleaseCandidateParser

parsers.activateReleaseCandidateParser makes the release candidate parser live for that customer. The name refers to release candidate parser that needs to be activated.

### HTTP request

`POST https://{endpoint}/v1/{name}:activateReleaseCandidateParser`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the release candidate parser to activate. Format: projects/{project}/locations/{location}/instances/{instance}/logTypes/{logtype}/parsers/{parser} |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.parsers.activateReleaseCandidate`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).